Page MenuHomePhabricator

refresh swift hardware in codfw/eqiad
Closed, ResolvedPublic

Description

Our oldest swift backends in codfw and eqiad are approaching 4yrs of life and we've budgeted both a refresh for (12x per site) backends plus expansion (3x per site IIRC) for this fiscal year.
I'm outlining the steps below, similarly to T130012

  • hw quotes and procurement. we've settled on systems with 3TB disks for now. Quotes will be something similar to T131953 and T132734.
  • rack/row allocation for installation.
    • eqiad: determine if we could install all the new hw in parallel or we need to do it piecemeal per-row / per-rack (physical space and 10G ports)
    • codfw: ditto, though I suspect there is physical space / ports available

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2016, 2:38 PM

@fgiunchedi yes in codfw we do have physical space and ports available also on the 10 GB switches

elukey triaged this task as Normal priority.Oct 20 2016, 1:31 PM

thanks @Papaul !

@Cmjohnson would there be enough space in eqiad to do the above? (i.e. 12x new swift backends installed in parallel with old hardware or we'll need to do it piecemeal?)

@fgiunchedi In eqiad it will be a little tight in rows A and C. I should
be able to accommodate 4 in each rack but will have to move a few
decom'd/spare cp servers out of each rack. Row D should not be a problem.
In fact with the expansion I can add 2 to row D2 and 2 row D7.

@fgiunchedi In eqiad it will be a little tight in rows A and C. I should
be able to accommodate 4 in each rack but will have to move a few
decom'd/spare cp servers out of each rack. Row D should not be a problem.
In fact with the expansion I can add 2 to row D2 and 2 row D7.

Ok thanks! If we can get say 50% of the new hw already in place with existing old hw that should be enough to get things started, we'll figure out the racking details.

@fgiunchedi

We have limited space in row A but could accommodate 3 10G servers,
row C8 could also add 3
Row D we will have 2 10G racks and could split them 3 and 3 (once the new switch stack is ready)

Also there is plenty of room for 1G servers in all 4 rows.

per irc

godog cmjohnson1: ok, I'd say then 3x per row 10G where possible and 1G otherwise

fgiunchedi closed this task as Resolved.Jul 22 2019, 8:34 AM
fgiunchedi claimed this task.

This has happened, resolving